Package rdkit :: Package Chem :: Package ChemUtils :: Module AlignDepict

[hide private]
[frames] | no frames]

# Module AlignDepict

source code

Functions | [hide private]

AlignDepict(mol, core, corePattern=None, acceptFailure=False) Arguments: - mol: the molecule to be aligned, this will come back with a single conformer. | source code

Imports: Chem, rdDepictor, Geometry

Function Details | [hide private]

### AlignDepict(mol, core, corePattern=None, acceptFailure=False)

source code

    Arguments:
      - mol:          the molecule to be aligned, this will come back
                      with a single conformer.
      - core:         a molecule with the core atoms to align to;
                      this should have a depiction.
      - corePattern:  (optional) an optional molecule to be used to
                      generate the atom mapping between the molecule
                      and the core.